Package org.apache.sling.validation.model

# Interface ValidatorInvocation

@ProviderType public interface ValidatorInvocation
Defines a specific validator invocation for a given property (without actually exposing a reference to the underlying `Validator`).

## Method Summary

Modifier and Type
Method
Description
`@NotNull org.apache.sling.api.resource.ValueMap`
`getParameters()`
`@Nullable Integer`
`getSeverity()`
`@NotNull String`
`getValidatorId()`

## Method Details

### getValidatorId

@NotNull @NotNull String getValidatorId()

Returns:
  the validator id of the `Validator` which is supposed to be called.

### getParameters

@NotNull @NotNull org.apache.sling.api.resource.ValueMap getParameters()

Returns:
  the parameterization of the `Validator.validate(Object, org.apache.sling.validation.spi.ValidatorContext, ValueMap)` call (never `null`, but might be empty map)

### getSeverity

@Nullable @Nullable Integer getSeverity()

Returns:
  the severity of validation failures emitted for this usage of the validator (as being set in the model). May be `null` in case it was not set on the model.